#include "exceptionnoimplementation.h"

const char* ExceptionNoImplementation::type="ExceptionNoImplementation";

const char* ExceptionNoImplementation::getType() const
{
	return type;
}

const string& ExceptionNoImplementation::getMessage() const
{
	string& mesg=*(new string);
	mesg.append("No implementation for method '");
	mesg.append(method);
	mesg.append("' at class '");
	mesg.append(className);
	mesg.append("'.");

	return mesg;
}
